Subject: bug#23611: texinfo.tex 2016-05-07.20: "Tex capacity exceeded" with Emacs manuals

From: Gavin Smith <[email-masked]>
Date: Thu, 26 May 2016 19:41:10 +0100

On 26 May 2016 at 16:48, Paul Eggert <[email-masked]> wrote:
> OK, here's a smaller example taken from the Emacs source code. Unpack the
> attached tarball in a fresh directory, copy the latest Gnulib texinfo.tex
> into it, and run the shell command 'texi2pdf bovine.texi'. On my platform
> (Fedora 23 x86-64, texi2pdf (GNU Texinfo 6.0) 6363) the output says
> './bovine.toc:1: TeX capacity exceeded, sorry [input stack size=5000].' Full
> output log attached.

OK, I got the same problem with the files you sent. I've committed and
uploaded a new version that reverses the change, so @value is expanded
at the time of writing again. Undefined @value's, when used in index
entries, should not cause failures, either. It's quite possible that
there is some combination that breaks, but it seems to work better for
the files I tried.